package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.ProEconReportIndicatorPool;
import com.ruoyi.ucp.mapper.ProEconReportIndicatorPoolMapper;
import com.ruoyi.ucp.service.IProEconReportIndicatorPoolService;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 * 报表指标池 服务实现类
 * </p>
 *
 * @author wang
 * @since 2024-05-21
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class ProEconReportIndicatorPoolServiceImpl extends ServiceImpl<ProEconReportIndicatorPoolMapper, ProEconReportIndicatorPool> implements IProEconReportIndicatorPoolService {
    @Override
    public List<ProEconReportIndicatorPool> list(Wrapper<ProEconReportIndicatorPool> queryWrapper) {
        return super.list(queryWrapper);
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<ProEconReportIndicatorPool> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }

    //重写save
    @Override
    public boolean save(ProEconReportIndicatorPool entity) {
        return super.save(entity);
    }

    //getone
    @Override
    public ProEconReportIndicatorPool getOne(Wrapper<ProEconReportIndicatorPool> queryWrapper) {
        return super.getOne(queryWrapper);
    }

    //saveorupdate
    @Override
    public boolean saveOrUpdate(ProEconReportIndicatorPool entity) {
        return super.saveOrUpdate(entity);
    }

}
